Bug 180966 - Nautilus crashes when replacing existing files in directory
Nautilus crashes when replacing existing files in directory
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2006-02-10 15:48 EST by Jan-Petter Vainionpaa
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-28 05:49:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan-Petter Vainionpaa 2006-02-10 15:48:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20060202 Fedora/1.0.7-1.2.fc4 Firefox/1.0.7

Description of problem:
Nautilus crashes when trying to replace existing files in folder.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. In users home directory, create there some subdirectory, for example test 
2. Goto ~/test/ and create there for example two text files a.txt and b.txt (I created them with some content, but problem occures also with empty files)
3. Goto home directory ~/ and create(or copy from above created directory) there files with same names, that is in my example case a.txt and b.txt
4. In home directory select now both created files and go to ~/test/ directory and try to paste files there. (there should already be files with same names)
5. In dialog opened select "replace"

Actual Results:  Nautilus shows "blank" error dialog with just "close" and "Inform Developers" buttons visible. No additional text is shown. Nautilus terminates after closing error dialog.

Expected Results:  Files shoud be successfully copied to new location, overwriting the
existing files.

Additional info:

All above described steps were done using Nautilus 2.13.3 that came in
Fedora core 5 test 2. No updates applied.
Comment 1 Alexander Larsson 2006-02-17 09:15:26 EST
It seems to work for me with the latest nautilus in test3. Does it still crash
for you?
Comment 2 Jan-Petter Vainionpaa 2006-02-23 14:59:46 EST
For me it works also ok when I updated to FC 5 test 3.

Note You need to log in before you can comment on or make changes to this bug.